Last Comment Bug 660017 - Can't use redo keyboard shortcut in Panorama
: Can't use redo keyboard shortcut in Panorama
Status: VERIFIED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: x86 Linux
: -- normal
: Firefox 7
Assigned To: Raymond Lee [:raymondlee]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-26 10:49 PDT by Raymond Lee [:raymondlee]
Modified: 2016-04-12 14:00 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (1.26 KB, patch)
2011-05-26 13:12 PDT, Raymond Lee [:raymondlee]
dao+bmo: review-
Details | Diff | Review
v1 (1.50 KB, patch)
2011-05-26 14:26 PDT, Raymond Lee [:raymondlee]
ttaubert: feedback-
Details | Diff | Review
v2 (3.73 KB, patch)
2011-05-27 08:13 PDT, Raymond Lee [:raymondlee]
ian: review+
ttaubert: feedback+
Details | Diff | Review
Patch for checkin (3.95 KB, patch)
2011-05-31 19:43 PDT, Raymond Lee [:raymondlee]
no flags Details | Diff | Review

Description Raymond Lee [:raymondlee] 2011-05-26 10:49:59 PDT
See bug 654601 comment 20
Comment 1 Raymond Lee [:raymondlee] 2011-05-26 13:12:55 PDT
Created attachment 535449 [details] [diff] [review]
v1
Comment 2 Dão Gottwald [:dao] 2011-05-26 14:14:14 PDT
Comment on attachment 535449 [details] [diff] [review]
v1

this patch contains no meaningful changes
Comment 3 Raymond Lee [:raymondlee] 2011-05-26 14:26:07 PDT
Created attachment 535475 [details] [diff] [review]
v1

Here is the complete patch
Comment 4 Tim Taubert [:ttaubert] 2011-05-27 02:04:46 PDT
Comment on attachment 535475 [details] [diff] [review]
v1

Review of attachment 535475 [details] [diff] [review]:
-----------------------------------------------------------------

To make redo work for mac and windows (with Ctrl+Y) we'd need to add a switch-case for that command in the if-branch without the shift key.
Comment 5 Raymond Lee [:raymondlee] 2011-05-27 08:13:25 PDT
Created attachment 535641 [details] [diff] [review]
v2
Comment 6 Tim Taubert [:ttaubert] 2011-05-29 12:29:04 PDT
Comment on attachment 535641 [details] [diff] [review]
v2

Review of attachment 535641 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good.
Comment 7 Ian Gilman [:iangilman] 2011-05-31 10:29:07 PDT
Comment on attachment 535641 [details] [diff] [review]
v2

Review of attachment 535641 [details] [diff] [review]:
-----------------------------------------------------------------

Cool.
Comment 8 Raymond Lee [:raymondlee] 2011-05-31 19:43:39 PDT
Created attachment 536506 [details] [diff] [review]
Patch for checkin
Comment 9 Tim Taubert [:ttaubert] 2011-05-31 23:00:31 PDT
http://hg.mozilla.org/mozilla-central/rev/fd0b5d64aac6
Comment 10 George Carstoiu 2011-06-10 02:36:44 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110609 Firefox/7.0a1

I just reproduced this problem on Ubuntu 11.04, Mac OS X 10.6 and WinXP.

Steps to reproduce:
 1. Go to Panorama
 2. Write anything in title bar of a group
 3. Delete a few characters
 4. Undo using CTRL+Z
 5. Press CTRL+Y to redo

Actual results:
 - nothing happens
Comment 11 Raymond Lee [:raymondlee] 2011-07-15 00:37:50 PDT
(In reply to comment #10)
> Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110609 Firefox/7.0a1
> 
> I just reproduced this problem on Ubuntu 11.04, Mac OS X 10.6 and WinXP.
> 
> Steps to reproduce:
>  1. Go to Panorama
>  2. Write anything in title bar of a group
>  3. Delete a few characters
>  4. Undo using CTRL+Z
>  5. Press CTRL+Y to redo
> 
> Actual results:
>  - nothing happens

The redo key combination is ctrl/cmd+shift+z

http://support.mozilla.com/en-US/kb/Keyboard%20shortcuts#w_editing
Comment 12 Virgil Dicu [:virgil] [QA] 2011-08-23 05:57:30 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0) Gecko/20100101 Firefox/7.0

Verified fixed. This issue is no longer reproducible when using the following Steps to reproduce:

1. Go to Panorama
2. Write anything in title bar of a group
3. Delete a few characters
4. Undo using CTRL+Z
5. Press CTRL+Shift+Z to redo

Note You need to log in before you can comment on or make changes to this bug.